/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.samples.complex.server;

import org.jboss.remoting.samples.complex.CustomerProcessorImpl;

/**
 * Simple remoting server.  Uses inner class SampleInvocationHandler
 * as the invocation target handler class.
 *
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 */
public class ComplexServer extends GenericServer
{
   private Object processor = null;

   public ComplexServer()
   {
      processor = new CustomerProcessorImpl();
   }

   public Object getProcessor()
   {
      return processor;
   }

   public String getSubSystem()
   {
      return "customerprocessor";
   }

   /**
    * Can pass transport and port to be used as parameters.
    * Valid transports are 'rmi' and 'socket'.
    *
    * @param args
    */
   public static void main(String[] args)
   {
      ComplexServer server = new ComplexServer();
      try
      {
         server.setupServer();

         // wait forever, let the user kill us at any point (at which point, the client will detect we went down)
         while(true)
         {
            Thread.sleep(1000);
         }

      }
      catch(Exception e)
      {
         e.printStackTrace();
      }
   }

}